summaryrefslogtreecommitdiffstats
path: root/tests/shell/testcases/nft-i/set_0
diff options
context:
space:
mode:
Diffstat (limited to 'tests/shell/testcases/nft-i/set_0')
-rwxr-xr-xtests/shell/testcases/nft-i/set_09
1 files changed, 9 insertions, 0 deletions
diff --git a/tests/shell/testcases/nft-i/set_0 b/tests/shell/testcases/nft-i/set_0
new file mode 100755
index 00000000..e87eef1d
--- /dev/null
+++ b/tests/shell/testcases/nft-i/set_0
@@ -0,0 +1,9 @@
+#!/bin/bash
+
+set -e
+
+RULESET="add table inet foo
+add set inet foo bar { type ipv4_addr; flags interval; }; add element inet foo bar { 10.1.1.1/32 }
+add element inet foo bar { 10.1.1.2/32 }"
+
+$NFT -i <<< "$RULESET"